Package org.snpeff.probablility.bootstrap

# Class ReSampleMapRank

java.lang.Object
org.snpeff.probablility.bootstrap.ReSampleInt
org.snpeff.probablility.bootstrap.ReSampleMapRank

public class ReSampleMapRank extends ReSampleInt
Re-sample statistic using ranks of scores (scores are double)

Author:
  pablocingolani

## Constructor Summary

Constructors
Constructor
Description
`ReSampleMapRank(HashMap<String,Double> scoresByName, int sampleSize)`

## Method Summary

Modifier and Type
Method
Description
`int`
`score(Collection<String> names)`

### Methods inherited from class org.snpeff.probablility.bootstrap.ReSampleInt

`cdf, clearStats, evaluate, max, min, quantile, resample, setVerbose, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReSampleMapRank

public ReSampleMapRank(HashMap<String,Double> scoresByName, int sampleSize)

## Method Details

### score

public int score(Collection<String> names)